<template lang="html">
  <div class="v-table">
      <button
        type="button"
        class="btn btn-secondary mb-3 "
        data-toggle="modal" data-target="#addNewOrderModal"
      >
        Додати
      </button>
      <table class="table">
          <thead>
              <tr>
                  <th scope="col">Дата</th>
                  <th scope="col">Маршрут</th>
                  <th scope="col">Назва вантажу</th>
                  <th scope="col">Вага (т)</th>
              </tr>
          </thead>
          <tbody>
              <v-table-row
                v-for="row in loads_data"
                :key="row.id"
                :row_data="row"
              />
          </tbody>
      </table>
      <v-add-new-order-modal />
  </div>
</template>

<script>
import vTableRow from './v-table-row'
import vAddNewOrderModal from '../popup/v-add-new-order-modal'

export default {
    name: 'v-table',
    props: {
        loads_data: {
            type: Array,
            default () {
                return []
            }
        }
    },
    components: {
        vTableRow,
        vAddNewOrderModal
    },
    methods: {

    },
    mounted() {}
}
</script>
